std::is_swappable< _Tp > Struct Template Reference

`#include <type_traits>`

Inherits __is_swappable_impl::type.

## Detailed Description

template<typename _Tp>
struct std::is_swappable< _Tp >

Metafunctions used for detecting swappable types: p0185r1.

is_swappable

Definition at line 2549 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits